> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poozle.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create integration account

> Create integration account in a workspace



## OpenAPI

````yaml POST /v1/integration_account
openapi: 3.0.0
info:
  title: Poozle
  description: The poozle API description
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/integration_account:
    post:
      tags:
        - Integration Account
      description: Create integration account in a workspace
      operationId: IntegrationAccountController_createIntegrationAccount
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateIntegrationAccountBody'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationAccount'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiException'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiException'
components:
  schemas:
    CreateIntegrationAccountBody:
      type: object
      properties:
        integrationDefinitionId:
          type: string
        integrationAccountName:
          type: string
        authType:
          type: string
        workspaceId:
          type: string
        config:
          type: object
        accountIdentifier:
          type: string
      required:
        - integrationDefinitionId
        - integrationAccountName
        - authType
        - workspaceId
        - config
        - accountIdentifier
    IntegrationAccount:
      type: object
      properties:
        integrationAccountId:
          type: string
          description: A unique identifier for Integration Account
        integrationDefinitionId:
          type: string
          description: A unique identifier for Integration Definition
        integrationConfiguration:
          type: object
          nullable: true
          description: Configuration used to configure the integration
        authType:
          type: string
          description: |-
            Type of authentication used to create this account
            Exmaple: OAuth2, Api Key etc
        workspaceId:
          type: string
          description: A unique identifier for Workspace
        integrationAccountName:
          type: string
          description: |-
            This is used for User experience. You can pass a name
            to easily identify the account in UI
        deleted:
          format: date-time
          type: string
          nullable: true
          description: When this account is deleted. If deleted
        createdAt:
          format: date-time
          type: string
          description: When the integration account was created.
        updatedAt:
          format: date-time
          type: string
          description: When the integration account was updated last.
        linkId:
          type: string
          nullable: true
          description: This will be linkId of the link used to created this account
      required:
        - integrationAccountId
        - integrationDefinitionId
        - integrationConfiguration
        - authType
        - workspaceId
        - integrationAccountName
        - deleted
        - createdAt
        - updatedAt
    ApiException:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        status:
          type: string
        error:
          type: string
        errors:
          type: object
        timestamp:
          type: string
        path:
          type: string

````